> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# restrictionoperators

> This SoList provider will generate the operator list for a given search criterion data type. The data type is passed in as the extraInfo parameter, and is generally one of the constants in <see cref="!:SuperOffice.CRM.ArchiveLists.ArchiveListConstants.ColumnTypes" />. The <see cref="T:SuperOffice.CRM.ArchiveLists.RestrictionOperations" /> class is the source of the data, so this list will change if that class is extended.

## "restrictionoperators" MDO List

This SoList provider will generate the operator list for a given search criterion data type. The data type is
passed in as the extraInfo parameter, and is generally one of the constants in <see cref="!:SuperOffice.CRM.ArchiveLists.ArchiveListConstants.ColumnTypes" />.
The <see cref="T:SuperOffice.CRM.ArchiveLists.RestrictionOperations" /> class is the source of the data, so this list will change if that class is extended.

Implemented by the <see cref="T:SuperOffice.CRM.ArchiveLists.OperatorProvider">OperatorProvider</see> class.
The name of the MDO list is 'restrictionoperators'.

## Additional Attributes

| Description                                                                                                                                                                | Name | Example Value |
| -------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---- | ------------- |
| RestrictionType for which we want the list of supported operators, and their value hints; use the SuperOffice.CRM.ArchiveLists.Constants.RestrictionTypes constant strings |      | associate     |

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/restrictionoperators
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("restrictionoperators", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name    | StyleHint | ExtraInfo |
| -- | ------- | --------- | --------- |
| 2  | Example |           |           |

## Related MDO Lists

* "restrictionoperatorsheadings"
* "restrictionoperatorsheadingswithallitem"
* "restrictionoperatorsheadingswithallitemwithnoselection"
* "restrictionoperatorsheadingswithnoselection"
* "restrictionoperatorswithallitem"
* "restrictionoperatorswithallitemwithnoselection"
* "restrictionoperatorswithnoselection"


## Related topics

- [How to Search using Find Selections](/en/api/search/find-selection/how-to-search.md)
- [Operators and data types](/en/api/search/find-selection/operators.md)
- [Save Dash Quick Filters](/en/api/reference/restful/agent/dash_agent/save-dash-quick-filters.md)
- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
